Package ru.bitel.bgbilling.kernel.contract.param.server.bean

# Class ContractParameterPrefDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<ContractParameterPref>
ru.bitel.bgbilling.common.dao.AbstractIdDao<ContractParameterPref>
ru.bitel.bgbilling.kernel.contract.param.server.bean.ContractParameterPrefDao

@Deprecated public class ContractParameterPrefDao extends ru.bitel.bgbilling.common.dao.AbstractIdDao<ContractParameterPref>
Deprecated.
use `ContractParameterGroupAttr` and `ContractParameterServiceOld` or `ContractParameterGroupAttrDao`

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractParameterPrefDao(Connection con)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<IdTitle>`
  `getContractParameterPrefIdTitleList(int paramTypeId)`
  Deprecated.
  Получить список IdTitle( id - код ParameterPrefId ) по типу параметра.
  `List<ContractParameterPref>`
  `getContractParameterPrefList(Set<Integer> ids)`
  Deprecated.
  `List<ContractParameterPref>`
  `getContractParameterPrefList(ContractParameterPrefType prefEnum)`
  Deprecated.
  `protected ContractParameterPref`
  `getFromRS(ResultSet rs)`
  Deprecated.
  `void`
  `moveParam(int id, boolean up)`
  Deprecated.
  сдвиг параметра false - вниз, true - вверх
  `protected void`
  `updateImpl(ContractParameterPref pref)`
  Deprecated.
  `void`
  `updateSortPosition(List<ContractParameterPref> list)`
  Deprecated.
  Обновление поля sort для всего листа

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractParameterPrefDao

    public ContractParameterPrefDao(Connection con)
    Deprecated.

- ## Method Details

  - ### getContractParameterPrefList

    public List<ContractParameterPref> getContractParameterPrefList(ContractParameterPrefType prefEnum) throws SQLException
    Deprecated.
    Parameters:
      `prefEnum` - - элемент перечесления типа параметров договора
    Returns:
      - список настроек параметров договоров определенного типа, если prefEnum == TYPE_UNKNOWN, то все параметры
    Throws:
      `SQLException`

  - ### getContractParameterPrefList

    public List<ContractParameterPref> getContractParameterPrefList(Set<Integer> ids) throws SQLException
    Deprecated.
    Parameters:
      `ids` - - set коды типов параметров.
    Returns:
      - список настроек параметров договоров коды которых соодержаться в ids, если ids == null, то все типы параметров.
    Throws:
      `SQLException`

  - ### getContractParameterPrefIdTitleList

    public List<IdTitle> getContractParameterPrefIdTitleList(int paramTypeId) throws SQLException
    Deprecated.
    Получить список IdTitle( id - код ParameterPrefId ) по типу параметра.
    Throws:
      `SQLException`

  - ### moveParam

    public void moveParam(int id, boolean up) throws Exception
    Deprecated.
    сдвиг параметра false - вниз, true - вверх
    Throws:
      `Exception`

  - ### updateSortPosition

    public void updateSortPosition(List<ContractParameterPref> list) throws SQLException
    Deprecated.
    Обновление поля sort для всего листа
    Parameters:
      `list` - с изменнёными параметрами sort
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getFromRS

    protected ContractParameterPref getFromRS(ResultSet rs) throws SQLException
    Deprecated.
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<ContractParameterPref>`
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(ContractParameterPref pref) throws SQLException
    Deprecated.
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<ContractParameterPref>`
    Throws:
      `SQLException`